
/* ==================================================================== */
/*			DTC3.h	08/21/98				*/
/*			exported definitions				*/
/* ==================================================================== */
 
#ifndef _LINUX_DTC3_H
#define _LINUX_DTC3_H

/* ==================================================================== */
/* MINORS */

#define MINOR_DTC3	0x00
#define MINOR_FPGA	0x01
#define MINOR_BDM	0x02
#define MINOR_TIM	0x03
#define MINOR_MIDI	0x10
#define MINOR_MAXMIDI	0x20

#define MPU_NOHACK		0
#define MPU_ROLANDHACK		1
#define MPU_PROTEUSHACK		2

/* ==================================================================== */
/* IOCTLS */

#define DTC3_IDENT		0xd300
#define DTC3_RESET		0xd301
#define DTC3_SETUP		0xd302
#define DTC3_MIDIIRQ		0xd307

#define DTC3_TIMFSEL		0xd310
#define DTC3_TIMEN		0xd311
#define DTC3_TIMCLR		0xd312
#define DTC3_TIMIRQ		0xd313

#define DTC3_SXIN		0xd308
#define DTC3_EXOUT		0xd309

#define DTC3_MPU_ALLNOTESOFF	0xd340
#define DTC3_MPU_CHANMAP	0xd341
#define DTC3_MPU_RDBYTE		0xd342
#define DTC3_MPU_WRBYTE		0xd343
#define DTC3_MPU_HACK		0xd34e

#define DTC3_FPGA_CLR		0xd381
#define DTC3_FPGA_PGM		0xd382
#define DTC3_FPGA_APPL		0xd383
#define DTC3_FPGA_TYPE		0xd384
#define DTC3_FPGA_DATE		0xd385
#define DTC3_FPGA_TEST		0xd302

/* ==================================================================== */

#endif	_LINUX_DTC3_H

